typedef struct {
	PCELEM g;
	PCELEM i_g;
} COUPLE;

int *hom_to_image 				_(( VEC rhov ));
HOM *generate_automorphism_group 	_(( HOM *hom, int only_outer ));
PCELEM image 					_(( VEC rhov, PCELEM el ));
void show_hom 					_(( HOM *hom, char *recdesc ));
int prepare_aut 				_(( PCGRPDESC *g_desc ));
VEC c_apply 					_(( int aut_no, VEC cvec ));
VEC n_apply 					_(( int aut_no, VEC nvec, int cut ));
int handle_grp_aut 				_(( VEC rho[], int begin ));
int is_isomorphic 				_(( PCGRPDESC *g1_desc, void *g2_desc, int is_pcgroup, int quotient ));
HOM *isomorphisms 				_(( PCGRPDESC *g_desc, void *h_group, int is_pcgroup, int quotient ));
HOM *automorphisms 				_(( PCGRPDESC *g_desc, int quotient ));
HOM *conv_to_hom 				_(( PCGRPDESC *g_desc, LISTP *autgens, int list_only ));
void evaluate_aut 				_(( VEC homlist[], PCGRPDESC *g, VEC agword, int aglen ));

